//**************************************************************************************************
//*  FRIDA: fast reliable interactive data analysis
//*  (C) Joachim Wuttke 1990-, v2(C++) 2001-
//*  http://apps.jcns.fz-juelich.de/frida
//**************************************************************************************************

//! \file  mem.hpp
//! \brief Declare online memory

//! Online memory and the default file selection.

namespace NOlm {

    // Read from online memory:
    const POlo mem_get  ( int k );
    const POld mem_get_D( int k );
    const POlc mem_get_C( int k );
    const int  mem_size();

    // Modify online memory (file selection is changed accordingly):
    void mem_store( POlo olo, int k=-1 );
    void mem_del( int k );
    void mem_xchange();
    void mem_copy();

    // Backup:
    void mem_backup_store();
    void mem_backup_retrieve();

    extern bool overwrite; //!< Allow command to overwrite its input files?

} // namespace NOlm
