//**************************************************************************************************
//*  libtrivia: various little routines for C++
//*  string_ops: string operations
//*  (C) Joachim Wuttke 2001, 2012-
//*  http://apps.jcns.fz-juelich.de
//**************************************************************************************************

#include <sstream>

namespace triv {

    bool str2vec( std::string inp, std::vector<double> *V, size_t nmax=0, bool force=true );
    void string_extract_word( const std::string& in, std::string *out1, std::string *out2 );
    void string_extract_line( const std::string& in, std::string *out1, std::string *out2 );
    std::vector<std::string> split( const std::string& in, const std::string& delimiters = " \t" );
    std::string strip( const std::string& str, const char* sepSet=" \n" );

    template <class T>
    std::string join( const std::vector<T>& v, const std::string& separator ){
        std::ostringstream result;
        for (auto i = v.begin(); i != v.end(); i++){
            if (i != v.begin())
                result << separator;
            result << *i;
        }
        return result.str();
    }
}
